<?php

/**
 * @file
 * Hooks related to psa_oecd_publishing module.
 */

use Drupal\Core\Entity\FieldableEntityInterface;
use Drupal\psa_oecd_publishing\Api\OecdApiRecall;

/**
 * @addtogroup hooks
 * @{
 */

/**
 * Alter a recall request generated by OecdMapperController::getRequest().
 *
 * @param \Drupal\psa_oecd_publishing\Api\OecdApiRecall $oecdApiRecall
 *   The recall request.
 * @param \Drupal\Core\Entity\FieldableEntityInterface $entity
 *   Content node of the recall.
 */
function hook_psa_oecd_publishing_request_alter(OecdApiRecall $oecdApiRecall, FieldableEntityInterface $entity): void {
  // Map two fields to the OECD 'hazard' field.
  $mapper = \Drupal::service('psa_oecd_mapper.controller');
  $oecdApiRecall->request['hazard'] = $mapper->getValue($entity, 'field_psa_recall_product_defects') . ' ' . $mapper->getValue($entity, 'field_psa_recall_hazards');

  // Prefix the recall ID.
  $oecdApiRecall->request['id'] = 'RA-' . $oecdApiRecall->request['id'];
}

/**
 * @} End of "addtogroup hooks".
 */
